> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transcription srt

> Create new transcription from .srt files provided.



## OpenAPI

````yaml post /v2/transcriptions/srt
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/transcriptions/srt:
    post:
      tags:
        - projects
      summary: Create transcription srt
      description: Create new transcription from .srt files provided.
      operationId: create_transcription_srt_v2_transcriptions_srt_post
      parameters:
        - name: src_lang
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source language
            description: >-
              Should be specified only if src .srt file provided. The source
              language must be defined without the dialect, for example `en`
              instead of `en-us`. See the [list of source languages](/languages)
              available.
        - name: dst_lang
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Destination language
            description: Should be specified only if dst .srt file provided.
      requestBody:
        content:
          multipart/form-data:
            schema:
              allOf:
                - $ref: '#/components/schemas/TranscriptionCreateFile'
              title: Body
              description: At least one of src or dst .srt file has to be provided
      responses:
        '200':
          description: Created transcription
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptionId'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TranscriptionCreateFile:
      properties:
        src:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Source .srt file
          description: Source .srt file
        dst:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Destination .srt file
          description: Destination .srt file
      type: object
      title: TranscriptionCreateFile
    TranscriptionId:
      properties:
        segments:
          items:
            $ref: '#/components/schemas/SegmentGet'
          type: array
          title: List of segments
          description: List of segments
        id:
          type: string
          format: uuid
          title: Transcription ID
          description: Transcription ID
      type: object
      required:
        - segments
        - id
      title: TranscriptionId
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SegmentGet:
      properties:
        src:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        dst:
          anyOf:
            - $ref: '#/components/schemas/SegmentText'
            - type: 'null'
        speaker:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker identifier
          description: >-
            Speaker identifier. Must be specified in `SPEAKER_XX` format
            (case-sensitive), where `XX` corresponds to Speaker's index,
            starting with 00.
        start:
          type: string
          title: Segment start time
          description: Segment start time. Must be valid `HH:MM:SS,mmm` timestamp
        end:
          type: string
          title: Segment end time
          description: Segment end time. Must be valid `HH:MM:SS,mmm` timestamp
        id:
          type: string
          title: Segment ID
          description: Segment ID
        status:
          $ref: '#/components/schemas/SegmentStatus'
      type: object
      required:
        - start
        - end
        - id
        - status
      title: SegmentGet
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SegmentText:
      properties:
        text:
          type: string
          title: Segment text
          description: Segment text
        lang:
          anyOf:
            - type: string
            - type: 'null'
          title: Segment language
          description: Segment language
      type: object
      required:
        - text
    SegmentStatus:
      type: string
      enum:
        - processing
        - updated
        - done
        - error
      title: SegmentStatus
      description: Segment status
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````